import { HttpResponse } from '../@types'
import request from './request'




class HotelService {
  //获取相似数据
  static async GetHotelRoomsList(param:any): Promise<HttpResponse> {
    return request('dmc_post_Get_GetJAPAN_RoomsList', param)
  }
  //
  //获取酒店详情
  static async GetHotelDetailScat(param:any): Promise<HttpResponse> {
    return request('dmc_post_Get_GetJAPAN_HotelDetail', param)
  }
  // 获取散客酒店列表
  static async GetJAPANHotelList(param:any):Promise<HttpResponse>{
    param.reviewRatingUpperLimits=param.reviewRatingUpperLimits&&param.reviewRatingUpperLimits!=''?param.reviewRatingUpperLimits:0
    param.reviewRatingLowerLimits=param.reviewRatingLowerLimits&&param.reviewRatingLowerLimits!=''?param.reviewRatingLowerLimits:0
    param.searchMaxRate=param.searchMaxRate&&param.searchMaxRate!=''?param.searchMaxRate:0
    param.searchMinRate=param.searchMinRate&&param.searchMinRate!=''?param.searchMinRate:0
    return request('dmc_post_Get_GetJAPAN_HotelList',param)
  }
}

export default HotelService
